Subject: bug#31045: closed (Re: bug#31045: split -e missing in split 8.4 version)

From: [email-masked] (GNU bug Tracking System)
Date: Tue, 03 Apr 2018 14:27:02 +0000

Your bug report

#31045: split -e missing in split 8.4 version

which was filed against the coreutils package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
31045: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=31045
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#31045: split -e missing in split 8.4 version
From: Eric Blake <[email-masked]>
To: Abhijeet Patwari <[email-masked]>, [email-masked]
Date: Tue, 3 Apr 2018 09:25:56 -0500
List-Id: <debbugs-submit.debbugs.gnu.org>

tag 31045 notabug
thanks

On 04/03/2018 05:59 AM, Abhijeet Patwari wrote:
> Hi,
> 
> I was using split 8.25 version. In my code, I have used split -e option.
> After server upgrade, split also got upgraded and my code is giving error
> at split -e.
> 
> Kindly let me know what is the equivalent of split -e in 8.4. OR any
> alternate solution for this.

Coreutils 8.4 is NOT an upgrade, but a downgrade, in relation to 8.25.
'split -e' was added in coreutils 8.8 (commit be10739) (although the
NEWS file forgot to mention it; -e was added at the same time as
--number, but only --number was mentioned in the NEWS).

Your solution, then, is to actually upgrade coreutils back up to a
version that has the features you want, or to rewrite your script to not
require the use of that feature as it is not portable to the bare
minimum behavior that POSIX requires of split.

But since we can't retroactively add features to older releases, there's
no bug to  fix here, so I'm closing this bug in the database.  Feel free
to add more comments on the topic, though, as needed.

-- 
Eric Blake, Principal Software Engineer
Red Hat, Inc.           +1-919-301-3266
Virtualization:  qemu.org | libvirt.org

Subject: split -e missing in split 8.4 version
From: Abhijeet Patwari <[email-masked]>
To: [email-masked]
Date: Tue, 3 Apr 2018 16:29:52 +0530
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi,

I was using split 8.25 version. In my code, I have used split -e option.
After server upgrade, split also got upgraded and my code is giving error
at split -e.

Kindly let me know what is the equivalent of split -e in 8.4. OR any
alternate solution for this.

-- 
Regards,
Abhijeet Patwari
Mob. No. +91 8147811997